@mixin generate-direction($type, $value, $alignType ) {
    .direction-#{$type} {
        flex-direction: $value
    }
}

@mixin generate-property-for-type($type, $property, $value) {
    &-#{$type} {
        #{$property}: $value
    }
}

.space {
    display: flex;
    box-sizing: border-box;

    &-fill {
        @include generate-property-for-type(horizontal, width, 100%);
        @include generate-property-for-type(vertical, height, 100%);
    }
}


.align {
    &-horizontal {
        @include generate-property-for-type(left, justify-content, left);
        @include generate-property-for-type(center, justify-content, center);
        @include generate-property-for-type(between, justify-content, space-between);
        @include generate-property-for-type(right, justify-content, right);

        &-justify {
            @include generate-property-for-type(start, align-items, start);
            @include generate-property-for-type(center, align-items, center);

        }
    }
   

    &-vertical {
        @include generate-property-for-type(left, align-items, left);
        @include generate-property-for-type(center, align-items, center);
        @include generate-property-for-type(between, align-items, space-between);
        @include generate-property-for-type(right,  align-items, right);

        &-justify {
            @include generate-property-for-type(start, justify-content, start);
            @include generate-property-for-type(center, justify-content, center);

        }
    }
}

@include generate-direction(horizontal, row, left);
@include generate-direction(vertical, column, left);